
UseGrid = True

#path = "/afs/cern.ch/user/l/lgrillo/cmtuser/Brunel_v47r6p1/Calibration/OTCalibration/scripts/"
path = "/afs/cern.ch/user/p/phdargen/cmtuser/Brunel_v47r7/Calibration/OTCalibration/scripts/"

#brunel = Brunel(version = "v47r6p1", user_release_area = "/afs/cern.ch/user/l/lgrillo/cmtuser")
brunel = Brunel(version = "v47r7", user_release_area = "/afs/cern.ch/user/p/phdargen/cmtuser")
brunel.optsfile = path + "Brunel-Tracking-t0Calib_snapshot_leftright_2it.py"

MaxFiles = 100

brunel.extraopts="""
Brunel().EvtMax = -1
Brunel().PrintFreq = 500
Brunel().SkipEvents = 0
"""

job = Job(application = brunel, name = "OT_clbr_leftright_154882_2it")

if UseGrid == False :
  brunel.extraopts += "\nCondDB(UseOracle = True)\n"
  brunel.setupProjectOptions = "--use-grid"
  job.backend = LSF(queue = "1nh")
  job.splitter = SplitByFiles(filesPerJob = 1, maxFiles = MaxFiles)
if UseGrid == True :
  job.backend = Dirac()
  job.splitter = SplitByFiles(filesPerJob = 1)
  job.backend.settings["BannedSites"] = [ "LCG.JINR.ru", "LCG.SINP.ru" ]

job.outputfiles = [ DiracFile('clbr.root'),DiracFile('clbr_hists.root') ]
job.inputsandbox = ["/afs/cern.ch/user/p/phdargen/cmtuser/Brunel_v47r7/Calibration/OTCalibration/scripts/OTIS_t0_2015_07_21_154882.db"]

job.backend.inputSandboxLFNs = ['LFN:/lhcb/user/l/lgrillo/5937d872-e0c1-44c9-a51f-5d3c6f458c42/ONLINE-2015.db']

inputData = ['LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000097.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000098.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000102.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000106.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000115.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000116.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000117.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000118.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000131.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000132.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000133.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000134.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000141.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000142.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000143.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000144.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000155.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000157.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000158.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000159.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000166.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000170.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000172.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000174.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000181.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000183.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000184.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000186.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000194.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000198.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000199.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000201.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000206.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000208.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000209.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000213.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000220.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000223.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000224.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000227.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000232.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000236.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000239.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000242.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000245.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000249.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000250.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000254.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000259.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000264.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000265.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000270.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000271.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000274.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000275.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000284.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000285.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000289.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000291.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000295.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000296.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000302.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000304.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000310.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000313.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000315.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000316.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000320.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000325.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000331.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000332.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000335.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000338.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000342.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000343.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000347.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000355.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000356.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000357.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000359.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000368.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000369.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000370.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000372.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000381.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000382.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000383.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000386.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000395.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000397.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000398.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000400.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000407.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000409.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000410.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000411.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000421.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000422.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000423.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000425.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000435.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000436.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000437.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000438.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000446.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000447.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000448.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000453.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000462.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000463.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000464.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000465.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000473.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000474.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000476.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000478.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000488.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000489.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000490.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000492.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000499.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000502.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000503.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000505.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000513.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000516.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000517.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000519.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000527.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000531.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000532.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000533.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000540.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000542.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000543.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000546.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000554.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000556.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000557.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000558.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000567.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000568.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000569.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000572.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000581.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000583.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000584.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000585.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000594.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000596.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000597.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000600.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000607.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000608.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000609.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000611.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000620.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000622.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000624.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000625.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000634.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000635.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000636.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000638.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000645.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000649.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000650.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000651.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000653.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000657.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000660.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000661.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000671.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000672.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000673.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000674.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000697.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000698.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000699.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000705.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000710.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000711.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000714.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000715.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000724.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000725.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000726.raw',
'LFN:/lhcb/data/2015/RAW/NOBIAS/LHCb/COLLISION15EM/154882/154882_0000000727.raw'
]

print inputData
job.inputdata = inputData

#job.inputdata = ds
job.inputdata.depth = 0

job.do_auto_resubmit=True

job.submit()
